엣지 서버 수정

엣지 서버 ID로 특정 엣지 서버 정보를 수정합니다.

마지막 업데이트: 2026년 3월 26일

PATCH
/api/v1/edges/{edge_id}

설명

엣지 서버 ID를 기준으로 특정 엣지 서버 정보를 수정하는 API입니다. 엣지 서버 문서에서 엣지 객체를 자세히 확인할 수 있습니다.

인증

Access Token은 Bearer 토큰 인증 방식으로 전달해야 합니다. 자세한 내용은 인증 문서를 참고해 주세요.

경로 파라미터

edge_id
Required
string
엣지 서버의 고유 식별자

요청 본문

name
Optional
string
엣지 서버 이름
description
Optional
string
엣지 서버 설명

응답

1
2
3
4
5
6
7
8
9
10
{
  "data": {
    "id": "string",
    "name": "string",
    "description": "string",
    "status": "active",
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z"
  }
}

요청 예제

Run In Postman

엣지 서버 이름 수정

1
2
3
4
5
6
7
8
9
10
11
12
const response = await fetch('http://{{EDGE_IP}}:8100/api/v1/edges/edge_123', {
  method: 'PATCH',
  headers: {
    "Authorization": "Bearer YOUR_ACCESS_TOKEN",
    "Content-Type": "application/json"
  },
  body: JSON.stringify({
    "name": "New Edge Server Name"
  })
});

const data = await response.json();